# CompositeMapper

Extends \ContainerMapper

A <code>ContainerMapper</code> that unites the results of its constituent <code>FileNameMapper</code>s into a single set of result filenames.

author | Siad Ardroumli siad.ardroumli@gmail.com
package | phing.mappers

### Methods

## Add a <code>FileNameMapper</code>.

    add(\FileNameMapper $fileNameMapper)

inherited

throws | if attempting to add this `ContainerMapper` to itself, or if the specified `FileNameMapper` is itself a `ContainerMapper` that contains this `ContainerMapper`.

### Arguments

#### $fileNameMapper

`\FileNameMapper`

a `FileNameMapper`.

## An add configured version of the add method.

    addConfigured(\FileNameMapper $fileNameMapper)

inherited

This class used to contain an add method and an addConfiguredMapper method. Dur to ordering, the add method was always called first. This addConfigured method has been added to allow chaining to work correctly.

### Arguments

#### $fileNameMapper

`\FileNameMapper`

a `FileNameMapper`.

## Add a <code>Mapper</code>.

    addMapper(\Mapper $mapper)

inherited

### Arguments

#### $mapper

`\Mapper`

the `Mapper` to add.

## Return <code>true</code> if this <code>ContainerMapper</code> or any of its sub-elements contains the specified <code>FileNameMapper</code>.

    contains(\FileNameMapper $fileNameMapper) : boolean

inherited

### Arguments

#### $fileNameMapper

`\FileNameMapper`

the `FileNameMapper` to search for.

### Response

`boolean`

## Get the <code>List</code> of <code>FileNameMapper</code>s.

    getMappers() : array<mixed,\FileNameMapper>

inherited

### Response

`array<mixed,\FileNameMapper>`

## {@inheritDoc}.

    main( $sourceFileName)

### Arguments

#### $sourceFileName

``

## Empty implementation.

    setFrom(string $ignore) : void

inherited

### Arguments

#### $ignore

`string`

ignored.

## Empty implementation.

    setTo(string $ignore) : void

inherited

### Arguments

#### $ignore

`string`

ignored.

### Properties

## mappers

    mappers :

inherited

### Type(s)

``